org.jgroups.protocols.pbcast

## Class JoinRsp

- java.lang.Object
- - org.jgroups.protocols.pbcast.JoinRsp

- All Implemented Interfaces:
    java.io.Serializable, Streamable

      public class JoinRsp
      extends java.lang.Object
      implements java.io.Serializable, Streamable

  Result of a JOIN request (sent by the GMS client). Instances of this class are immutable.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JoinRsp()`
    `JoinRsp(java.lang.String fail_reason)`
    `JoinRsp(View v, Digest d)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Digest` | `getDigest()`
    `java.lang.String` | `getFailReason()`
    `View` | `getView()`
    `void` | `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
    `int` | `serializedSize()`
    `void` | `setFailReason(java.lang.String r)`
    `java.lang.String` | `toString()`
    `void` | `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JoinRsp

          public JoinRsp()

    - #### JoinRsp

          public JoinRsp(View v,
                 Digest d)

    - #### JoinRsp

          public JoinRsp(java.lang.String fail_reason)

  - ### Method Detail

    - #### getView

          public View getView()

    - #### getDigest

          public Digest getDigest()

    - #### getFailReason

          public java.lang.String getFailReason()

    - #### setFailReason

          public void setFailReason(java.lang.String r)

    - #### writeTo

          public void writeTo(java.io.DataOutputStream out)
                       throws java.io.IOException

      Description copied from interface: `Streamable`
      Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed
      Specified by:
        `writeTo` in interface `Streamable`
      Throws:
        `java.io.IOException`

    - #### readFrom

          public void readFrom(java.io.DataInputStream in)
                        throws java.io.IOException,
                               java.lang.IllegalAccessException,
                               java.lang.InstantiationException

      Description copied from interface: `Streamable`
      Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
      Specified by:
        `readFrom` in interface `Streamable`
      Throws:
        `java.io.IOException`
        `java.lang.IllegalAccessException`
        `java.lang.InstantiationException`

    - #### serializedSize

          public int serializedSize()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.